﻿@model PagedList.IPagedList<SYM.DataAccessLayer.v_route_index>
@using PagedList.Mvc;
@using SYM.SearchEngine.MvcApp.Helpers;

@{
    ViewBag.Title = SYM.Localization.Resources.Views.Route.Index.Title;
    ViewBag.Page = null;
}

@section customCss4Page{
    <link rel="stylesheet" href="~/Content/themes/sleek/css/twitter.css" />
}

<div class="row">
    <div class="col-md-12">
        <div class="portlet box green-haze">
            <div class="portlet-title">
                <div class="caption">
                    <i class="fa fa-map-signs"></i>@ViewBag.Title (@ViewBag.Count)
                </div>
                <div class="actions">
                    <a href="@Url.Action("Index", "Route")" class="btn btn-default btn-sm">
                        <i class="fa fa-list"></i> List
                    </a>
                </div>
            </div>
            <div class="portlet-body flip-scroll">
                <div class="table-toolbar">
                    @using (Html.BeginForm("Index3", "Route", FormMethod.Post, new { @class = "form-inline", role = "form" }))
                    {
                    <div class="form-group">
                        @HtmlHelpers.DropDownListBootstrap("activity", ViewBag.ActivityDD)
                    </div>
                    <div class="form-group input-min-width-200">
                        <select id="region" name="region" class="form-control select2">
                            <option value="@ViewBag.Region" selected="selected">@ViewBag.Region_text</option>
                        </select>
                    </div>
                    <div class="form-group input-min-width-300">
                        <input class="form-control route_name typehead" name="route_name" id="route_name" type="text" value="@ViewBag.Route_text" autocorrect="off" autocomplete="on" placeholder="Nome della cima o itinerario">
                    </div>
                    <!--TODO: ADD THE STATE-->
                    <div class="form-group input-min-width-200">
                        @Html.DropDownList("orderby")
                        <button type="submit" class="btn green-haze" style="float:right;margin-left:10px;">@SYM.Localization.Resources.Global.Search <i class="fa fa-search"></i></button>
                    </div>
                    <input type="hidden" id="mountain" name="mountain" value="@ViewBag.Mountain">
                    <input type="hidden" id="valley" name="valley" value="@ViewBag.Valley">
                    <input type="hidden" id="route" name="route" value="@ViewBag.Route">
                    <input type="hidden" id="country" name="country" value="@ViewBag.Country">
                    }
                </div>
                <div class="dataTables_wrapper no-footer">
                    @if (Model.Count > 0)
                    {
                        <div class="row">
                        @foreach (var item in Model)
                        {
                        <div class="col-sm-6 col-md-4">
                            <div class="thumbnail">
                                <div class="mt-element-ribbon">
                                    <div class="ribbon ribbon-right ribbon-shadow ribbon-color-danger uppercase">@item.activity_name</div>
                                    @if (item.trackgps_id != null)
                                    {
                                        <div class="ribbon ribbon-shadow uppercase"><i class="fa fa-location-arrow"></i> GPS</div>
                                    }
                                    <a href='/Route/@item.id-@item.route_name.Replace(" ","").Replace("&","").Replace("-","_").Replace("/","")' class="">

                                            @if (!String.IsNullOrEmpty(@item.route_image_url))
                                            {
                                                if (!@item.route_image_url.Contains("http://"))
                                                {
                                                    <img src="http://res.cloudinary.com/shareyourmountain/image/upload/g_face,c_fill,w_450,h_300/@item.route_image_url" style="width: 100%; height: 250px; display: block;" data-src="../assets/global/plugins/holder.js/100%x200" alt="Image under Copyright.">
                                                }
                                                else
                                                {
                                                    <img src="@item.route_image_url.ToString()" style="width: 100%; height: 250px; display: block;" data-src="../assets/global/plugins/holder.js/100%x200" alt="Image under Copyright.">
                                                }
                                            }
                                            else if (item.mountain_id == 0 && item.valley_id > 0) // Test this condition
                                            {
                                                <img style="width: 100%; height: 250px; display: block;" src="http://maps.googleapis.com/maps/api/staticmap?center=@(item.valley_lat.ToString().Replace(",", ".")),@(item.valley_lng.ToString().Replace(",", "."))&amp;size=405x250&amp;sensor=true&amp;zoom=11">
                                            }
                                            else if (item.mountain_id > 0) // Test this condition
                                            {
                                                if (@item.mntn_image_url != null && !@item.mntn_image_url.Contains("http://"))
                                                {
                                                    <img src="http://res.cloudinary.com/shareyourmountain/image/upload/c_fill,w_450,h_300/@item.mntn_image_url" alt="100%x200" style="width: 100%; height: 250px; display: block;" data-src= "../assets/global/plugins/holder.js/100%x200" >
                                                }
                                                else if (@item.mntn_image_url != null && @item.mntn_image_url.Contains("http://"))
                                                {
                                                    <img src="@item.mntn_image_url" alt="100%x200" style="width: 100%; height: 250px; display: block;" data-src="../assets/global/plugins/holder.js/100%x200" >
                                                }
                                                else if (item.mntn_latitude != null)
                                                {
                                                    <img style="width: 100%; height: 250px; display: block;" src="http://maps.googleapis.com/maps/api/staticmap?center=@(item.mntn_latitude.ToString().Replace(",", ".")),@(item.mntn_longitude.ToString().Replace(",", "."))&amp;size=405x250&amp;sensor=true&amp;zoom=11&amp;markers=size:mid%7Ccolor:0xff0000%7Clabel:M%7C@(item.mntn_latitude.ToString().Replace(",", ".")),@(item.mntn_longitude.ToString().Replace(",", "."))" >
                                                }
                                                else
                                                {
                                                    <img style="width: 100%; height: 250px; display: block;" src="~/Content/themes/m1/assets/layouts/layout4/img/uploadImage.png">
                                                }
                                            }
                                            else
                                            {
                                                <img style="width: 100%; height: 250px; display: block;" src="~/Content/themes/m1/assets/layouts/layout4/img/uploadImage.png">
                                            }
                                    </a>
                                </div>
                                <div class="caption">
                                    @if (item.mountain_id > 0)
                                        {
                                        <h4>
                                            <a href="/Mountain/@item.mountain_id-@item.mntn_name.Replace(" ", "").Replace("-", "_")">
                                                @item.mntn_name
                                            </a>
                                            <small>@(item.route_altitude) m.</small>
                                        </h4>
                                        }
                                        else if (item.valley_id != null)
                                        {
                                        <h4>
                                            @item.valley_name
                                        </h4>
                                        }
                                    <h5>
                                        <b>@item.route_name</b>
                                    </h5>
                                    <p>
                                        @SYM.Localization.Resources.Views.Route.Index.Difficulty: @if (item.difficulty_grade != null)
                                        {
                                            foreach (string s in item.difficulty_grade.Split(','))
                                            {
                                                @: <span class="label bg-grey-cararra bg-font-grey-cararra">@s</span>
                                            }
                                        }
                                        @if (item.route_pitchAsc != null)
                                        {
                                            @: - @item.route_pitchAsc tiri
                                        }
                                    </p>
                                    <p>
                                        @if (item.route_height > 0)
                                        {
                                            @:@SYM.Localization.Resources.Views.Route.Index.Height: <i class="fa long-arrow-up"></i> @item.route_height
                                        }
                                    </p>
                                    <p>
                                        @if (item.route_length > 0)
                                        {
                                            @:@SYM.Localization.Resources.Views.Route.Index.Length: <i class="fa fa-arrows-h"></i> @RouteHelper.DistanceFormat(item.route_length.GetValueOrDefault())
                                        }
                                        @if (item.route_facing != null)
                                        {
                                            @: - Esposizione: @item.route_facing
                                        }
                                    </p>
                                    <p>
                                        @if (item.city_name != null)
                                            { @item.city_name } - @item.region_name
                                            @{ string url = "/Content/themes/m1/assets/global/img/flags/" + @item.country_code.ToLower() + ".png"; <img alt="@item.country_code" src="@url">}
                                        </p>
                                        <p>
                                            <a href='/Route/@item.id-@Uri.EscapeDataString(item.route_name.Replace(" ","").Replace("&","").Replace("-","_"))' class="btn green-haze btn-sm"> Report </a>
                                            @*@if (item.route_webinfo.Count > 0)
                                            {
                                            <a href='@item.route_webinfo.First().source.source_url/@item.route_webinfo.First().wi_url' target="_blank" rel="nofollow" class="btn green-haze btn-outline btn-sm"><i class="fa fa-external-link"></i> @item.route_webinfo.First().source.source_name</a>
                                            }*@
                                            <small  class="" style="float: right;padding-top:15px;">
                                                Mod: @item.route_dateMod.ToShortDateString()
                                            </small>
                                        </p>
                                    </div>
                                </div>
                            </div>
                                                }
                        </div>
                        <div class="row">
                            <div class="col-md-4 col-sm-5">
                                <div class="dataTables_info" role="status" aria-live="polite">
                                    Page @(Model.PageCount < Model.PageNumber ? 0 : Model.PageNumber) of @Model.PageCount
                                </div>
                            </div>
                            <div class="col-md-8 col-sm-7">
                                @Html.PagedListPager(Model, page => Url.Action("Index3", new { page, sortOrder = ViewBag.orderbySelected, _reg = ViewBag.Region, _r = ViewBag.Route_text, _rtxt = ViewBag.Region_text, _m = ViewBag.Mountain, _act = ViewBag.Activity }), PagedListRenderOptions.OnlyShowFivePagesAtATime)
                            </div>
                        </div>
                    }
                    else {
                        <div role="row" class="margin-top-20">
                            <p class="text-center">
                                <img src="~/Content/themes/m1/assets/layouts/layout4/img/icon_cactus.png">
                            </p>
                            <p class="text-center bold">
                                @SYM.Localization.Resources.Views.Route.Index.Message_NotFound
                            </p>
                            @if (Request.IsAuthenticated)
                            {
                                <p class="text-center bold">
                                    <a href="@Url.Action("_FullCreate", "Route")" data-target="#myModal">@SYM.Localization.Resources.Views.Route.Index.Message_NotFound_Link</a>
                                </p>
                            }
                        </div>
                    }
                </div>
            </div>
        </div>
    </div>
</div>
@section ExtraPluginJS{
    <script src="https://twitter.github.io/typeahead.js/releases/latest/typeahead.bundle.js"></script>
    <script src="~/Content/themes/m1/assets/global/plugins/bootstrap-select/js/bootstrap-select.min.js" type="text/javascript"></script>
}
@section scripts {
    <script type="text/javascript">
        var ComponentsBootstrapSelect = function () {

            var handleBootstrapSelect = function () {
                $('.bs-select').selectpicker({
                    iconBase: 'fa',
                    tickIcon: 'fa-check',
                    noneSelectedText: 'Attivit&#224; (7)'
                });
            }
            return {
                //main function to initiate the module
                init: function () {
                    handleBootstrapSelect();
                }
            };

        }();

        ComponentsBootstrapSelect.init();
    </script>
    <script src="~/Content/themes/m1/assets/pages/scripts/route-index3.js" type="text/javascript"></script>
}
@section ScriptOnReady {
    MyApp.Select2Region('#region', '/api/autocomplete/GetRegion', 'Regione' );
    $("#orderby").select2({
        allowClear: true,
        placeholder: "Ordina per",
    });
    $('#region').on("select2:selecting", function(e) {
    $("#country").val(e.params.args.data.country_id);
    });
}
